# VR

要在您的遊戲或 3D 體驗中啟用 VR，您只需使用 HologyScene 組件傳入 XR 設置。您需要的唯一設置是將 enabled 設置為 true。

```tsx
function App() {
  return (
    <HologyScene 
      gameClass={Game} 
      sceneName='main' 
      dataDir='data' 
      shaders={shaders} actors={actors} 
      xr={{enabled: true}}>
    </HologyScene>
  );
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hology.app/zh-tw/user-interfaces/vr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
